Bug 261337 - [NEW PORT] devel/py-matrix-common: Common utilities for Synapse, Sydent and Sygnal
Summary: [NEW PORT] devel/py-matrix-common: Common utilities for Synapse, Sydent and S...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL: https://github.com/matrix-org/matrix-...
Keywords:
Depends on:
Blocks: 260502
  Show dependency treegraph
 
Reported: 2022-01-19 16:00 UTC by Sascha Biberhofer
Modified: 2022-01-25 16:37 UTC (History)
1 user (show)

See Also:


Attachments
devel/py-matrix-common: new port for v1.0.0 (1.94 KB, patch)
2022-01-19 16:00 UTC, Sascha Biberhofer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Biberhofer 2022-01-19 16:00:46 UTC
Created attachment 231159 [details]
devel/py-matrix-common: new port for v1.0.0

py-matrix-common is a (currently minimal) dependency of net-im/py-matrix-synapse and provides functionality shared by projects in the matrix.org realm, such as sydent and sygnal.

Two things that might be noteworthy here:

* The port currently packages the release from github, since the pypi release doesn't include tests. I'll try and get upstream to include tests in upcoming releases to switch this to pypi.
* The port has to provide a dummy setup.py for distutils support as the upstream package doesn't provide one.

portlint: "OK"? (One warning that I can't place)
testport: OK (poudriere: 130amd64)
do-test: OK (Ran 6 tests in 0.089s, PASSED (successes=6))

The port has also been tested in conjunction with net-im/py-matrix-synapse-1.50.1, passes the synapse testsuite and hasn't burned my production server to the ground after almost a day.
Comment 1 commit-hook freebsd_committer 2022-01-20 13:45:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=26df673e02f21c0243c50147fb099db5197aea4a

commit 26df673e02f21c0243c50147fb099db5197aea4a
Author:     Sascha Biberhofer <ports@skyforge.at>
AuthorDate: 2022-01-20 07:49:53 +0000
Commit:     Ashish SHUKLA <ashish@FreeBSD.org>
CommitDate: 2022-01-20 13:42:54 +0000

    devel/py-matrix-common: New port: Common utilities for Synapse, et. al.

    PR:             261337

 devel/Makefile                              |  1 +
 devel/py-matrix-common/Makefile (new)       | 31 +++++++++++++++++++++++++++++
 devel/py-matrix-common/distinfo (new)       |  3 +++
 devel/py-matrix-common/files/setup.py (new) |  3 +++
 devel/py-matrix-common/pkg-descr (new)      |  3 +++
 5 files changed, 41 insertions(+)
Comment 2 Ashish SHUKLA freebsd_committer 2022-01-20 13:46:18 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2022-01-25 16:37:43 UTC
A commit in branch 2022Q1 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0b64c67430eb2b54cbde6234e109e069d6ccd5c3

commit 0b64c67430eb2b54cbde6234e109e069d6ccd5c3
Author:     Sascha Biberhofer <ports@skyforge.at>
AuthorDate: 2022-01-20 07:49:53 +0000
Commit:     Ashish SHUKLA <ashish@FreeBSD.org>
CommitDate: 2022-01-25 16:35:46 +0000

    devel/py-matrix-common: New port: Common utilities for Synapse, et. al.

    PR:             261337
    (cherry picked from commit 26df673e02f21c0243c50147fb099db5197aea4a)

 devel/Makefile                              |  1 +
 devel/py-matrix-common/Makefile (new)       | 31 +++++++++++++++++++++++++++++
 devel/py-matrix-common/distinfo (new)       |  3 +++
 devel/py-matrix-common/files/setup.py (new) |  3 +++
 devel/py-matrix-common/pkg-descr (new)      |  3 +++
 5 files changed, 41 insertions(+)